%define major 0
%define libname %mklibname weed %{major}
%define develname %mklibname -d weed

Summary:	Linux Video Editing System
Name:		lives
Version:	2.2.7
Release:	%mkrel 1
Source0:	http://salsaman.home.xs4all.nl/lives/current/LiVES-%{version}.tar.bz2
Patch0:		%{name}-2.2.7-mga-desktop-file.patch
URL:		http://lives.sourceforge.net
License:	GPLv3+
Group:		Video/Editors and Converters
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(fftw3f)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glee)
BuildRequires:	pkgconfig(glib-2.0) >= 2.14.0
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(libavc1394)
BuildRequires:	pkgconfig(libavcodec) >= 53.0.0
BuildRequires:	pkgconfig(libavformat)
BuildRequires:	pkgconfig(libavutil)
BuildRequires:	pkgconfig(libdv)
BuildRequires:	pkgconfig(liboil-0.3) >= 0.3.9
BuildRequires:	pkgconfig(libpng) > 1.2.0
BuildRequires:	pkgconfig(libpulse) >= 0.9.14
BuildRequires:	pkgconfig(libraw1394)
BuildRequires:	pkgconfig(libswscale)
BuildRequires:	pkgconfig(libunicap)
BuildRequires:	pkgconfig(libvisual-0.4) >= 0.4.0
BuildRequires:	pkgconfig(mjpegtools) >= 1.6.2
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(opencv) >= 2.3.1
BuildRequires:	pkgconfig(schroedinger-1.0)
BuildRequires:	pkgconfig(sdl) >= 1.2
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrender)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	bison
BuildRequires:	imagemagick
BuildRequires:	jackit-devel
BuildRequires:	libpth-devel
BuildRequires:	libv4l-devel
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(fftw3)
Requires:	mplayer mencoder sox imagemagick
Requires:	cdrecord-cdda2wav
Requires:	xset
Requires:	libvisual-plugins

%description
The Linux Video Editing System (LiVES) is intended to be a simple yet powerful
video effects and editing system.  It uses common tools for most of its work
(mplayer, ImageMagick, GTK+, sox).

%package -n %{libname}
Summary:	Linux Video Editing System - shared libs
Group:		Video/Editors and Converters

%description -n %{libname}
This package contains shared libs for LiVES.

%package -n %{develname}
Summary:	Linux Video Editing System - Development files
Group:		Video/Editors and Converters
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files needed to build LiVES plugins.

%prep
%setup -q
%apply_patches

%build
%define _disable_ld_no_undefined 1
%configure2_5x --disable-static --enable-threads=posix
%make

%install
%makeinstall_std

%find_lang %{name}

rm -fr %{buildroot}%{_datadir}/doc
rm -f %{buildroot}%{_datadir}/pixmaps/%{name}.xpm

# icons
mkdir -p %{buildroot}/%{_iconsdir}
mv %{buildroot}/usr/share/app-install/icons/%{name}.png %{buildroot}/%{_iconsdir}/%{name}.png

# fix symlink
rm -rf %{buildroot}%{_bindir}/%{name}
ln -s %{_bindir}/%{name}-exe %{buildroot}%{_bindir}/%{name}

# don't ship .a or .la
find %{buildroot} -name '*.a' | xargs rm -f
find %{buildroot} -name '*.la' | xargs rm -f

%files -f %{name}.lang
%doc AUTHORS BUGS C* docs/*.txt FEATURES GETTING*
%doc NEWS OMC/*.txt README* RFX/*
%{_bindir}/*
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_datadir}/applications/LiVES.desktop
%{_iconsdir}/%{name}.png

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/weed
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Feb 08 2015 alexl <alexl> 2.2.7-1.mga5
+ Revision: 814170
- version 2.2.7 without crash (mga#15070)
- desktop file with GenericName and Comment
- cleanup spec

* Fri Nov 14 2014 akien <akien> 2.2.6-5.mga5
+ Revision: 797107
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.6-4.mga5
+ Revision: 744450
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2.6-3.mga5
+ Revision: 681964
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 luigiwalser <luigiwalser> 2.2.6-2.mga5
+ Revision: 668369
- rebuild

* Mon Aug 18 2014 fwang <fwang> 2.2.6-1.mga5
+ Revision: 665021
- 2.2.6

* Mon Oct 21 2013 umeabot <umeabot> 2.0.6-2.mga4
+ Revision: 540926
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 fwang <fwang> 2.0.6-1.mga4
+ Revision: 494553
- new version 2.0.6

* Mon Jul 15 2013 fwang <fwang> 2.0.5-2.mga4
+ Revision: 454428
- more ffmpeg 2.0 patches
- try build with recent ffmpeg
- rebuild for new ffmpeg

* Mon Jun 17 2013 fwang <fwang> 2.0.5-1.mga4
+ Revision: 444026
- new version 2.0.5

* Mon Jun 03 2013 fwang <fwang> 2.0.4-5.mga4
+ Revision: 436007
- rebuild for new libpng

* Fri May 24 2013 fwang <fwang> 2.0.4-1.mga4
+ Revision: 425886
- new version 2.0.4

* Wed Apr 17 2013 dams <dams> 2.0.3-1.mga3
+ Revision: 410294
- new version 2.0.3

* Sat Jan 12 2013 umeabot <umeabot> 1.8.0-3.mga3
+ Revision: 358886
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1.8.0-2.mga3
+ Revision: 341680
- rebuild for new ffmpeg

* Mon Dec 17 2012 fwang <fwang> 1.8.0-1.mga3
+ Revision: 331898
- fix str fmt
- new version 1.8.0

* Mon Oct 22 2012 fwang <fwang> 1.6.4-1.mga3
+ Revision: 309077
- update rpm group
- new version 1.6.4
- new version 1.6.3
- new version 1.6.2
- more br

* Mon Apr 16 2012 fwang <fwang> 1.6.1-3.mga2
+ Revision: 231015
- add more br

* Mon Apr 16 2012 fwang <fwang> 1.6.1-2.mga2
+ Revision: 231000
- add upstream patch on incorrect usage of brackets, to try fixing bug#5413

  + wally <wally>
    - fix lives symlink

* Sun Feb 05 2012 zezinho <zezinho> 1.6.1-1.mga2
+ Revision: 205038
- fix build
- new version 1.6.1

* Fri Jan 13 2012 dams <dams> 1.4.9-1.mga2
+ Revision: 195488
- new version 1.4.9
- rediff patch

* Thu Dec 01 2011 fwang <fwang> 1.4.8-1.mga2
+ Revision: 174700
- fix str fmt
- new version 1.4.8

* Mon Nov 14 2011 dams <dams> 1.4.7-1.mga2
+ Revision: 167442
- new version 1.4.7

  + fwang <fwang>
    - new version 1.4.5

* Mon Jul 18 2011 fwang <fwang> 1.4.4-2.mga2
+ Revision: 125816
- rebuild for new mjpegtools

* Sat Jun 18 2011 ahmad <ahmad> 1.4.4-1.mga2
+ Revision: 109346
- Drop xmms requires (it doesn't exist in Mageia)
- Drop gdk-pixbuf-loaders requires, it depends on old gnome libs
- Don't ship .a/.la
- Drop old/unneeded scriptlets
- imported package lives


* Tue Jun 14 2011 Funda Wang <fwang@mandriva.org> 1.4.4-1mdv2011.0
+ Revision: 685117
- drop merged patch
- update to new version 1.4.4

* Mon Jun 13 2011 Funda Wang <fwang@mandriva.org> 1.4.3-1
+ Revision: 684573
- new version 1.4.3

* Tue May 24 2011 Götz Waschk <waschk@mandriva.org> 1.4.2-3
+ Revision: 678153
- really rebuild for new mjpegtools

* Tue May 24 2011 Götz Waschk <waschk@mandriva.org> 1.4.2-2
+ Revision: 678133
- rebuild for new mjpegtools

* Sun Apr 03 2011 Funda Wang <fwang@mandriva.org> 1.4.2-1
+ Revision: 649982
- fix build with kernel 2.6.38
- New version 1..4.2

* Mon Feb 28 2011 Funda Wang <fwang@mandriva.org> 1.4.0-2
+ Revision: 640873
- rebuild

* Sat Feb 19 2011 Funda Wang <fwang@mandriva.org> 1.4.0-1
+ Revision: 638654
- new version 1.4.0

* Mon Jan 17 2011 Lonyai Gergely <aleph@mandriva.org> 1.3.10-1
+ Revision: 631163
- 1.3.10

* Tue Aug 03 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.3.4-1mdv2011.0
+ Revision: 565271
- update to 1.3.4

* Wed Apr 07 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.3.2-1mdv2010.1
+ Revision: 532842
- new release 1.3.2

* Sat Feb 27 2010 Funda Wang <fwang@mandriva.org> 1.2.1-1mdv2010.1
+ Revision: 512334
- update to new version 1.2.1

* Mon Feb 22 2010 Frederik Himpe <fhimpe@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 509632
- update to new version 1.2.0

* Tue Dec 29 2009 Funda Wang <fwang@mandriva.org> 1.1.8-1mdv2010.1
+ Revision: 483226
- new version 1.1.8

* Mon Dec 28 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.7-1mdv2010.1
+ Revision: 483092
- update to new version 1.1.7

* Mon Nov 16 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.6-1mdv2010.1
+ Revision: 466654
- update to new version 1.1.6

* Thu Nov 12 2009 Ahmad Samir <ahmadsamir@mandriva.org> 1.1.5-2mdv2010.1
+ Revision: 465168
- Add patch to fix lives -> lives-exe symlink (bug #55404)

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.5-1mdv2010.1
+ Revision: 462598
- update to new version 1.1.5

* Mon Sep 28 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.3-1mdv2010.0
+ Revision: 450654
- update to new version 1.0.3

* Sun Sep 13 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.2-1mdv2010.0
+ Revision: 438612
- update to new version 1.0.2

* Thu Sep 10 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 437099
- update to new version 1.0.1

* Thu Jul 23 2009 Frederik Himpe <fhimpe@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 398989
- Update to new version 1.0.0
- Remove desktop file patch: not needed anymore

* Wed Jun 03 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.9.9-1mdv2010.0
+ Revision: 382513
- Updated to new version 0.9.9.9
- Remove ldconfig patch: fixed upstream

* Fri May 01 2009 Funda Wang <fwang@mandriva.org> 0.9.9.8-1mdv2010.0
+ Revision: 369839
- disable ldconfig after installing
- New version 0.9.9.8

* Sat Feb 07 2009 Funda Wang <fwang@mandriva.org> 0.9.9.6-1mdv2009.1
+ Revision: 338421
- new version 0.9.9.6
- update url

* Wed Dec 17 2008 Funda Wang <fwang@mandriva.org> 0.9.9.5-1mdv2009.1
+ Revision: 315085
- add file list
- disable undefined
- BR celt
- BR sample rate
- New version 0.9.9.5
- rediff desktop patch
- New version 0.9.9.1

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri May 16 2008 Funda Wang <fwang@mandriva.org> 0.9.8.12-1mdv2009.0
+ Revision: 208188
- update to new version 0.9.8.12

* Fri May 16 2008 Funda Wang <fwang@mandriva.org> 0.9.8.11-1mdv2009.0
+ Revision: 208027
- update to new version 0.9.8.11

* Sun Mar 09 2008 Funda Wang <fwang@mandriva.org> 0.9.8.8-1mdv2008.1
+ Revision: 182959
- New version 0.9.8.8

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 28 2007 Funda Wang <fwang@mandriva.org> 0.9.8.7-1mdv2008.1
+ Revision: 138893
- fix desktop item icon ext
- New version 0.9.8.7

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 19 2007 Austin Acton <austin@mandriva.org> 0.9.8.6-2mdv2008.0
+ Revision: 53439
- totally redo buildrequires and requires

* Sat Jul 14 2007 Funda Wang <fwang@mandriva.org> 0.9.8.6-1mdv2008.0
+ Revision: 51982
- BR gpm-devel
- fix desktop file
- New version

* Wed Jun 13 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.9.8.5-2mdv2008.0
+ Revision: 38815
- Added missing BuildRequires for desktop-file-utils.
- Removed old menu, switch to freedesktop icon scheme.
- Cleanups.

  + Jérôme Soyer <saispo@mandriva.org>
    - New release

* Tue May 29 2007 Funda Wang <fwang@mandriva.org> 0.9.8.4-2mdv2008.0
+ Revision: 32313
- Rebuild against directfb 1.0


* Sun Apr 01 2007 Jérôme Soyer <saispo@mandriva.org> 0.9.8.4-1mdv2007.1
+ Revision: 150144
- New release

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 0.9.8.2-2mdv2007.1
+ Revision: 127257
- fix build on x86_64

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix Build
    - New release 0.9.8.2

  + Lenny Cartier <lenny@mandriva.com>
    - Import lives

* Mon Sep 04 2006 Emmanuel Andry <eandry@mandriva.org> 0.9.5-3mdv2007.0
- xdg menu

* Sun Jun 11 2006 Austin Acton <austin@mandriva.org> 0.9.5-2mdv2007.0
- rebuild for libvisual
- mkrel

* Sun Jan 01 2006 Austin Acton <austin@mandriva.org> 0.9.5-1mdk
- 0.9.5 final

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.9.5-0.pre5.2mdk
- Rebuild

* Sat Oct 01 2005 Austin Acton <austin@mandriva.org> 0.9.5-0.pre5.1mdk
- pre5

* Sun Aug 14 2005 Götz Waschk <waschk@mandriva.org> 0.9.5-0.pre4.2mdk
- rebuild for new mjpegtools

* Thu Jul 28 2005 Austin Acton <austin@mandriva.org> 0.9.5-0.pre4.1mdk
- 0.9.5pre4

* Tue Apr 19 2005 Austin Acton <austin@mandriva.org> 0.9.5-0.pre3.1mdk
- 0.9.5pre3

* Mon Mar 28 2005 Austin Acton <austin@mandrake.org> 0.9.5-0.pre2.2.1mdk
- 0.9.5pre2.2

* Tue Jan 25 2005 Austin Acton <austin@mandrake.org> 0.9.5-0.pre1-1mdk
- 0.9.5pre1

* Wed Jan 12 2005 Michael Scherer <misc@mandrake.org> 0.9.1-3mdk
- Rebuild to remove deps on python2.3, thanks to Fabien Illide

* Sat Dec 11 2004 Austin Acton <austin@mandrake.org> 0.9.1-2mdk
- tidy spec
- add missing doc files and icons (thanks to author)
- buildrequires bison and SDL/mjpegtools-devel
- build with libvisual support on post-10.1
- use ~ as default load/save dir

* Wed Dec 08 2004 Austin Acton <austin@mandrake.org> 0.9.1-1mdk
- 0.9.1
- configure 2.5
- source URL

* Thu Aug 19 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre5.2mdk
- fix plugins location

* Thu Aug 19 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre5.1mdk
- 0.9.1pre5

* Thu Aug 05 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre4.1mdk
- 0.9.1pre4

* Mon Jul 26 2004 Austin Acton <austin@mandrake.org> 0.9.1-0.pre3.1mdk
- 0.9.1pre3

* Wed May 05 2004 Austin Acton <austin@mandrake.org> 0.9.0-0.pre1.1mdk
- 0.9.0pre1

